Retrieve Document
Get Document Run
Retrieve typed status for a document retrieval run.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Path Parameters
orderId*string
Document run ID
Query Parameters
customerPartnerId?|
Optional customer partner ID for validation
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/companies/documents/runs/string"{
"orderId": "string",
"customerReference": "string",
"partnerCustomerId": "string",
"status": "running",
"requestTime": "2019-08-24T14:15:22Z",
"responseTime": "2019-08-24T14:15:22Z",
"result": {
"type": "document",
"downloadLink": "string",
"kausateDocumentId": "string",
"documentType": "string",
"expiresAt": "string",
"contentType": "string",
"fileName": "string"
},
"error": "string",
"currentActivity": "string"
}{
"detail": "Invalid company ID format"
}{
"detail": "Invalid API key"
}{
"detail": "Company not found"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"detail": "An internal error occurred"
}Last updated on